#ifndef TAPI_H
#define TAPI_H 1

/* Trithorpe interpreter C API */


typedef	    struct TriTerp   Tterp;

typedef	    void     Tputchar(int charValue);

typedef	    int		Terr;
typedef	    char*	Tnta;   // null-terminated string allocation

#define Tverbose verbose
extern int	Tverbose;

extern Tterp*	Tnew( );
extern void	Tdelete( Tterp* T );

extern void*	Talloc( int size );
extern void 	Tfree( const void* );
extern char* 	Tdup( const char* string, int lengthOrMinusOne );

extern void 	Tset( Tterp* T, const char* path, const char* value );
extern Tnta 	Tget( Tterp* T, const char* path );

extern Tnta	Teval( Tterp* T, const char* script );

extern Tnta	Terrmsg( Tterp* T );


#endif /*TAPI_H*/
